# $Revision: 1.25.2.6 $, $Date: 2007-11-18 20:35:30 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_with	verbose		# verbose build (V=1)
#
%ifarch sparc
# there is no SMP kernel on sparc32
%undefine	with_smp
%endif
#
%define		mISDN_version		%(echo %{version} |tr . _)

%define		_rel	1
Summary:	mISDN - modular ISDN
Summary(pl.UTF-8):	mISDN - modularny ISDN
Name:		mISDN
Version:	1.1.6
Release:	%{_rel}
Epoch:		1
License:	GPL
Group:		Base/Kernel
Source0:	http://www.misdn.org/downloads/releases/%{name}-%{mISDN_version}.tar.gz
# Source0-md5:	c378fcef555ad20835bc54b0b83b2b5b
URL:		http://www.misdn.org/
%{?with_dist_kernel:BuildRequires:	kernel-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.332
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mISDN (modular ISDN) is the new ISDN stack of the Linux kernel version
2.6.

%description -l pl.UTF-8
mISDN (modularny ISDN) to nowy stos ISDN dla jądra Linuksa w wersji
2.6.

%package -n kernel-isdn-mISDN
Summary:	Linux driver for mISDN
Summary(pl.UTF-8):	Sterownik dla Linuksa do mISDN
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel_up
Requires(postun):	%releq_kernel_up
%endif
Provides:	kernel(mISDN)

%description -n kernel-isdn-mISDN
This is driver for mISDN for Linux.

This package contains Linux module.

%description -n kernel-isdn-mISDN -l pl.UTF-8
Sterownik dla Linuksa do mISDN.

Ten pakiet zawiera moduł jądra Linuksa.

%package -n kernel-smp-isdn-mISDN
Summary:	Linux SMP driver for mISDN
Summary(pl.UTF-8):	Sterownik dla Linuksa SMP do mISDN
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel_smp
Requires(postun):	%releq_kernel_smp
%endif
Provides:	kernel(mISDN)

%description -n kernel-smp-isdn-mISDN
This is driver for mISDN for Linux.

This package contains Linux SMP module.

%description -n kernel-smp-isdn-mISDN -l pl.UTF-8
Sterownik dla Linuksa do mISDN.

Ten pakiet zawiera moduł jądra Linuksa SMP.

%package devel
Summary:	Development header files for mISDN
Summary(pl.UTF-8):	Pliki nagłówkowe mISDN
Group:		Development/Libraries

%description devel
Development header files for mISDN.

%description devel -l pl.UTF-8
Pliki nagłówkowe mISDN.

%prep
%setup -q -n %{name}-%{mISDN_version}

%build
cp -r include/linux drivers/isdn/hardware/mISDN/

sed s/CONFIG_MISDN_MEMDEBUG=y//g add.config > drivers/isdn/hardware/mISDN/Makefile
echo "CONFIG_MISDN_NETJET=y" >> drivers/isdn/hardware/mISDN/Makefile
echo "CONFIG_MISDN_HFCUSB=y" >> drivers/isdn/hardware/mISDN/Makefile
echo "CONFIG_MISDN_HFCMINI=y" >> drivers/isdn/hardware/mISDN/Makefile

%ifnarch hppa mips ppc ppc64 s390 s390x sparc sparc64
echo "CONFIG_MISDN_HFCMULTI=y" >> drivers/isdn/hardware/mISDN/Makefile
%endif

echo "CONFIG_MISDN_XHFC=y" >> drivers/isdn/hardware/mISDN/Makefile
echo "CONFIG_MISDN_DSP=y" >> drivers/isdn/hardware/mISDN/Makefile
echo "CONFIG_MISDN_LOOP=y" >> drivers/isdn/hardware/mISDN/Makefile

sed -e 's#$(.*)#m#g' drivers/isdn/hardware/mISDN/Makefile.v2.6 >> drivers/isdn/hardware/mISDN/Makefile
%build_kernel_modules -m l3udss1,mISDN_capi,mISDN_core,mISDN_dtmf,mISDN_x25dte,mISDN_isac,mISDN_l1,mISDN_l2,avmfritz,netjetpci,hfcpci,hfcsusb,hfcsmini,sedlfax,w6692pci,xhfc,mISDN_dsp,mISDN_loop -C drivers/isdn/hardware/mISDN/

%ifnarch hppa mips ppc ppc64 s390 s390x sparc sparc64
%build_kernel_modules -m hfcmulti -C drivers/isdn/hardware/mISDN/
%endif

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_includedir}/linux
install include/linux/*.h $RPM_BUILD_ROOT%{_includedir}/linux

cd drivers/isdn/hardware/mISDN
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}{,smp}/drivers/isdn/hardware/mISDN

sep="%{?with_dist_kernel:up}%{!?with_dist_kernel:nondist}"
for mod in *-${sep}.ko; do
	m=$(echo "$mod" | sed -e "s#-${sep}.ko##g")
	install "$mod" $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/drivers/isdn/hardware/mISDN/${m}.ko
done

%if %{with smp} && %{with dist_kernel}
for mod in *-smp.ko; do
	m=$(echo "$mod" | sed -e 's#-smp.ko##g')
	install "$mod" $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/drivers/isdn/hardware/mISDN/${m}.ko
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel-isdn-mISDN
%depmod %{_kernel_ver}

%postun	-n kernel-isdn-mISDN
%depmod %{_kernel_ver}

%post	-n kernel-smp-isdn-mISDN
%depmod %{_kernel_ver}smp

%postun	-n kernel-smp-isdn-mISDN
%depmod %{_kernel_ver}smp

%if %{with up} || %{without dist_kernel}
%files -n kernel-isdn-mISDN
%defattr(644,root,root,755)
%dir /lib/modules/%{_kernel_ver}/drivers/isdn/hardware/mISDN
/lib/modules/%{_kernel_ver}/drivers/isdn/hardware/mISDN/*.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel-smp-isdn-mISDN
%defattr(644,root,root,755)
%dir /lib/modules/%{_kernel_ver}smp/drivers/isdn/hardware/mISDN
/lib/modules/%{_kernel_ver}smp/drivers/isdn/hardware/mISDN/*.ko*
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/linux/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mISDN.spec,v $
Revision 1.25.2.6  2007-11-18 20:35:30  hawk
- no smp on sparc

Revision 1.25.2.5  2007-09-27 07:14:23  marcus
- up to 1.1.6, list of big-endians from HEAD (by qboosh)

Revision 1.25.2.4  2007/07/11 08:56:23  marcus
- hfcmulti builds on LE archs only

Revision 1.25.2.3  2007/07/09 15:32:19  marcus
- up to 1.1.5

Revision 1.25.2.2  2007/06/14 10:51:34  marcus
- up to 1.1.4. Fix oops in hfcpci driver.

Revision 1.25.2.1  2007/05/30 13:25:57  marcus
- up to 1.1.3

Revision 1.25  2007/03/31 22:37:41  marcus
- up to 1.1.1

Revision 1.24  2007/03/14 00:22:09  glen
- up bcond

Revision 1.23  2007/02/22 12:42:11  marcus
- up to 1.1.0

Revision 1.22  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.20  2006/12/31 08:44:09  marcus
- added provides kernel(mISDN)

Revision 1.19  2006/12/29 23:14:02  marcus
- disabled MEMDBG (http://www.isdn4linux.de/pipermail/isdn4linux/2006-March/002061.html)
- works. rel.1.

Revision 1.18  2006/12/19 22:41:12  qboosh
- epoch 1

Revision 1.17  2006/12/19 10:46:31  marcus
- fix

Revision 1.16  2006/12/19 10:36:31  marcus
- added build some hw modules

Revision 1.15  2006/12/19 09:51:16  shadzik
- automate mISDN_version

Revision 1.14  2006/12/19 09:42:30  shadzik
- builds

Revision 1.13  2006/12/19 09:35:32  shadzik
- one step closer

Revision 1.12  2006/12/19 09:27:39  shadzik
- fix build

Revision 1.11  2006/12/19 09:09:56  shadzik
- update rpmbuild(macros) BR

Revision 1.10  2006/12/18 08:29:50  marcus
- start update to 1_0_4, need work, nfy

Revision 1.9  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.8  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.7  2005/09/04 10:31:26  ankry
- tabs

Revision 1.6  2005/09/04 08:32:05  qboosh
- pl for -devel

Revision 1.5  2005/09/03 21:16:18  areq
- add package devel

Revision 1.4  2005/08/29 21:37:54  arekm
- fixed

Revision 1.3  2005/08/29 21:31:53  arekm
- more work

Revision 1.2  2005/08/28 13:17:36  qboosh
- pl desc

Revision 1.1  2005/08/28 11:49:36  areq
- new ISDN stack of the linux kernel version 2.6
- raw PLD spec, NFY
